## org.apache.batik.bridge.svg12
Class XPathSubsetContentSelector

    java.lang.Object
      org.apache.batik.bridge.svg12.AbstractContentSelector
          org.apache.batik.bridge.svg12.XPathSubsetContentSelector

    public class XPathSubsetContentSelector

extends AbstractContentSelector

A class to handle the XPath subset syntax for XBL content elements.

Nested Class Summary
`protected static class` `XPathSubsetContentSelector.Scanner` A scanner for XPath subset selectors.
`protected class` `XPathSubsetContentSelector.SelectedNodes` Implementation of NodeList that contains the nodes that matched this selector.

Nested classes/interfaces inherited from class org.apache.batik.bridge.svg12.AbstractContentSelector
`AbstractContentSelector.ContentSelectorFactory, AbstractContentSelector.XPathPatternContentSelectorFactory, AbstractContentSelector.XPathSubsetContentSelectorFactory`

Field Summary
`protected int` `index` The index for selection.
`protected java.lang.String` `localName` The local name or ID used for selection.
`protected java.lang.String` `prefix` The QName prefix used for selection.
`protected XPathSubsetContentSelector.SelectedNodes` `selectedContent` The selected nodes.
`protected static int` `SELECTOR_ANY`
`protected static int` `SELECTOR_ID`
`protected static int` `SELECTOR_INVALID`
`protected static int` `SELECTOR_QNAME`
`protected int` `selectorType` The type of XPath subset expression.

Fields inherited from class org.apache.batik.bridge.svg12.AbstractContentSelector
`boundElement, contentElement, contentManager, selectorFactories`

Constructor Summary
`XPathSubsetContentSelector(ContentManager cm, XBLOMContentElement content, org.w3c.dom.Element bound, java.lang.String selector)` Creates a new XPathSubsetContentSelector object.

Method Summary
`org.w3c.dom.NodeList` `getSelectedContent()` Returns a list of nodes that were matched by the given selector string.
`protected void` `parseSelector(java.lang.String selector)` Parses the selector string.

Methods inherited from class org.apache.batik.bridge.svg12.AbstractContentSelector
`createSelector, isSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECTOR_INVALID

    protected static final int SELECTOR_INVALID

See Also:
  Constant Field Values

### SELECTOR_ANY

    protected static final int SELECTOR_ANY

See Also:
  Constant Field Values

### SELECTOR_QNAME

    protected static final int SELECTOR_QNAME

See Also:
  Constant Field Values

### SELECTOR_ID

    protected static final int SELECTOR_ID

See Also:
  Constant Field Values

### selectorType

    protected int selectorType

  The type of XPath subset expression.

### prefix

    protected java.lang.String prefix

  The QName prefix used for selection.

### localName

    protected java.lang.String localName

  The local name or ID used for selection.

### index

    protected int index

  The index for selection. 0 means select all elements that match.

### selectedContent

    protected XPathSubsetContentSelector.SelectedNodes selectedContent

  The selected nodes.

Constructor Detail

### XPathSubsetContentSelector

    public XPathSubsetContentSelector(ContentManager cm,
                                      XBLOMContentElement content,
                                      org.w3c.dom.Element bound,
                                      java.lang.String selector)

  Creates a new XPathSubsetContentSelector object.

Method Detail

### parseSelector

    protected void parseSelector(java.lang.String selector)

  Parses the selector string.

### getSelectedContent

    public org.w3c.dom.NodeList getSelectedContent()

  Returns a list of nodes that were matched by the given selector string.

  Specified by:
    `getSelectedContent` in class `AbstractContentSelector`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.